{
  "openapi": "3.0.0",
  "info": {
    "title": "Car Storage Software API",
    "version": "1.2.0",
    "description": "Team-scoped REST API for Car Storage Software. Authenticate with a team API key (`Authorization: Bearer <key>` or `x-api-key: <key>`) created under Settings → Integrations → API. Keys carry granular `read:*` / `write:*` scopes; read never implies write."
  },
  "servers": [
    {
      "url": "https://www.carstoragesoftware.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "API Key",
        "description": "Team API key from Settings → Integrations. Use `Authorization: Bearer <key>` or `x-api-key`."
      }
    },
    "schemas": {
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "string"
          },
          "code": {
            "type": "string"
          },
          "details": {
            "nullable": true
          }
        },
        "required": [
          "error"
        ]
      },
      "V1Car": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string",
            "nullable": true
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vin": {
            "type": "string",
            "nullable": true
          },
          "stockNumber": {
            "type": "string",
            "nullable": true
          },
          "year": {
            "type": "integer"
          },
          "make": {
            "type": "string"
          },
          "model": {
            "type": "string"
          },
          "trim": {
            "type": "string",
            "nullable": true
          },
          "color": {
            "type": "string",
            "nullable": true
          },
          "licensePlate": {
            "type": "string",
            "nullable": true
          },
          "licensePlateState": {
            "type": "string",
            "nullable": true
          },
          "mileage": {
            "type": "integer",
            "nullable": true
          },
          "mileageUnits": {
            "type": "string",
            "nullable": true
          },
          "parkingSpot": {
            "type": "string",
            "nullable": true
          },
          "parkingSpotId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingZoneId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vendorId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isForSale": {
            "type": "boolean"
          },
          "declaredValueCents": {
            "type": "integer",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "customerId",
          "locationId",
          "vin",
          "stockNumber",
          "year",
          "make",
          "model",
          "trim",
          "color",
          "licensePlate",
          "licensePlateState",
          "mileage",
          "mileageUnits",
          "parkingSpot",
          "parkingSpotId",
          "parkingZoneId",
          "vendorId",
          "isForSale",
          "declaredValueCents",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1CarCreate": {
        "type": "object",
        "properties": {
          "year": {
            "type": "integer",
            "minimum": 1886,
            "maximum": 2100
          },
          "make": {
            "type": "string",
            "minLength": 1
          },
          "model": {
            "type": "string",
            "minLength": 1
          },
          "trim": {
            "type": "string",
            "nullable": true
          },
          "color": {
            "type": "string",
            "nullable": true
          },
          "vin": {
            "type": "string",
            "nullable": true
          },
          "stockNumber": {
            "type": "string",
            "nullable": true
          },
          "licensePlate": {
            "type": "string",
            "nullable": true
          },
          "licensePlateState": {
            "type": "string",
            "nullable": true
          },
          "mileage": {
            "type": "integer",
            "nullable": true
          },
          "mileageUnits": {
            "type": "string",
            "enum": [
              "mi",
              "km"
            ]
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingSpotId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingZoneId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vendorId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isForSale": {
            "type": "boolean"
          },
          "declaredValueCents": {
            "type": "integer",
            "nullable": true
          }
        },
        "required": [
          "year",
          "make",
          "model"
        ]
      },
      "V1CarUpdate": {
        "type": "object",
        "properties": {
          "year": {
            "type": "integer",
            "minimum": 1886,
            "maximum": 2100
          },
          "make": {
            "type": "string",
            "minLength": 1
          },
          "model": {
            "type": "string",
            "minLength": 1
          },
          "trim": {
            "type": "string",
            "nullable": true
          },
          "color": {
            "type": "string",
            "nullable": true
          },
          "vin": {
            "type": "string",
            "nullable": true
          },
          "stockNumber": {
            "type": "string",
            "nullable": true
          },
          "licensePlate": {
            "type": "string",
            "nullable": true
          },
          "licensePlateState": {
            "type": "string",
            "nullable": true
          },
          "mileage": {
            "type": "integer",
            "nullable": true
          },
          "mileageUnits": {
            "type": "string",
            "enum": [
              "mi",
              "km"
            ]
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingSpotId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingZoneId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vendorId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isForSale": {
            "type": "boolean"
          },
          "declaredValueCents": {
            "type": "integer",
            "nullable": true
          }
        }
      },
      "V1CarsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1Car"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CarResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1Car"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1Customer": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string",
            "nullable": true
          },
          "userId": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "firstName": {
            "type": "string"
          },
          "lastName": {
            "type": "string"
          },
          "companyName": {
            "type": "string",
            "nullable": true
          },
          "email": {
            "type": "string",
            "nullable": true
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "address": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "country": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          },
          "deletedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "userId",
          "locationId",
          "firstName",
          "lastName",
          "companyName",
          "email",
          "phone",
          "address",
          "city",
          "state",
          "zip",
          "country",
          "isActive",
          "deletedAt",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1CustomerCreate": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "minLength": 1
          },
          "lastName": {
            "type": "string",
            "minLength": 1
          },
          "companyName": {
            "type": "string",
            "nullable": true
          },
          "email": {
            "type": "string",
            "nullable": true,
            "format": "email"
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "address": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "country": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isActive": {
            "type": "boolean"
          }
        },
        "required": [
          "firstName",
          "lastName"
        ]
      },
      "V1CustomerUpdate": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "minLength": 1
          },
          "lastName": {
            "type": "string",
            "minLength": 1
          },
          "companyName": {
            "type": "string",
            "nullable": true
          },
          "email": {
            "type": "string",
            "nullable": true,
            "format": "email"
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "address": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "country": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isActive": {
            "type": "boolean"
          },
          "restore": {
            "type": "boolean"
          },
          "deletedAt": {
            "nullable": true
          }
        }
      },
      "V1CustomersResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1Customer"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CustomerResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1Customer"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1Contact": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "format": "uuid"
          },
          "firstName": {
            "type": "string"
          },
          "lastName": {
            "type": "string"
          },
          "email": {
            "type": "string",
            "nullable": true
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "role": {
            "type": "string",
            "enum": [
              "primary",
              "spouse",
              "child",
              "son",
              "daughter",
              "family_member",
              "bookkeeper",
              "vehicle_handler",
              "family_office",
              "accountant",
              "assistant",
              "collection_manager",
              "other"
            ]
          },
          "roleDescription": {
            "type": "string",
            "nullable": true
          },
          "isPrimary": {
            "type": "boolean"
          },
          "canAccessPortal": {
            "type": "boolean"
          },
          "communicationPreferences": {
            "type": "object",
            "nullable": true,
            "properties": {
              "invoices": {
                "type": "boolean"
              },
              "estimates": {
                "type": "boolean"
              },
              "scheduling": {
                "type": "boolean"
              },
              "carUpdates": {
                "type": "boolean"
              },
              "contracts": {
                "type": "boolean"
              },
              "socialEvents": {
                "type": "boolean"
              },
              "marketing": {
                "type": "boolean"
              }
            },
            "required": [
              "invoices",
              "estimates",
              "scheduling",
              "carUpdates",
              "contracts",
              "socialEvents",
              "marketing"
            ]
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "customerId",
          "firstName",
          "lastName",
          "email",
          "phone",
          "role",
          "roleDescription",
          "isPrimary",
          "canAccessPortal",
          "communicationPreferences",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1ContactCreate": {
        "type": "object",
        "properties": {
          "customerId": {
            "type": "string",
            "format": "uuid"
          },
          "firstName": {
            "type": "string",
            "minLength": 1
          },
          "lastName": {
            "type": "string",
            "minLength": 1
          },
          "email": {
            "type": "string",
            "nullable": true,
            "format": "email"
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "role": {
            "type": "string",
            "enum": [
              "primary",
              "spouse",
              "child",
              "son",
              "daughter",
              "family_member",
              "bookkeeper",
              "vehicle_handler",
              "family_office",
              "accountant",
              "assistant",
              "collection_manager",
              "other"
            ]
          },
          "roleDescription": {
            "type": "string",
            "nullable": true
          },
          "isPrimary": {
            "type": "boolean"
          },
          "canAccessPortal": {
            "type": "boolean"
          },
          "communicationPreferences": {
            "type": "object",
            "properties": {
              "invoices": {
                "type": "boolean"
              },
              "estimates": {
                "type": "boolean"
              },
              "scheduling": {
                "type": "boolean"
              },
              "carUpdates": {
                "type": "boolean"
              },
              "contracts": {
                "type": "boolean"
              },
              "socialEvents": {
                "type": "boolean"
              },
              "marketing": {
                "type": "boolean"
              }
            },
            "required": [
              "invoices",
              "estimates",
              "scheduling",
              "carUpdates",
              "contracts",
              "socialEvents",
              "marketing"
            ]
          }
        },
        "required": [
          "customerId",
          "firstName",
          "lastName"
        ]
      },
      "V1ContactUpdate": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "minLength": 1
          },
          "lastName": {
            "type": "string",
            "minLength": 1
          },
          "email": {
            "type": "string",
            "nullable": true,
            "format": "email"
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "role": {
            "type": "string",
            "enum": [
              "primary",
              "spouse",
              "child",
              "son",
              "daughter",
              "family_member",
              "bookkeeper",
              "vehicle_handler",
              "family_office",
              "accountant",
              "assistant",
              "collection_manager",
              "other"
            ]
          },
          "roleDescription": {
            "type": "string",
            "nullable": true
          },
          "isPrimary": {
            "type": "boolean"
          },
          "canAccessPortal": {
            "type": "boolean"
          },
          "communicationPreferences": {
            "type": "object",
            "properties": {
              "invoices": {
                "type": "boolean"
              },
              "estimates": {
                "type": "boolean"
              },
              "scheduling": {
                "type": "boolean"
              },
              "carUpdates": {
                "type": "boolean"
              },
              "contracts": {
                "type": "boolean"
              },
              "socialEvents": {
                "type": "boolean"
              },
              "marketing": {
                "type": "boolean"
              }
            },
            "required": [
              "invoices",
              "estimates",
              "scheduling",
              "carUpdates",
              "contracts",
              "socialEvents",
              "marketing"
            ]
          }
        }
      },
      "V1ContactsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1Contact"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1ContactResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1Contact"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1Location": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "address": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "timezone": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          },
          "sortOrder": {
            "type": "integer",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "name",
          "address",
          "city",
          "state",
          "zip",
          "phone",
          "timezone",
          "isActive",
          "sortOrder",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1LocationCreate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "address": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "timezone": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          },
          "sortOrder": {
            "type": "integer"
          }
        },
        "required": [
          "name"
        ]
      },
      "V1LocationUpdate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "address": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "phone": {
            "type": "string",
            "nullable": true
          },
          "timezone": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          },
          "sortOrder": {
            "type": "integer"
          }
        }
      },
      "V1LocationsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1Location"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1LocationResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1Location"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1ParkingZone": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "additionalCapacity": {
            "type": "integer",
            "nullable": true
          },
          "color": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "locationId",
          "name",
          "description",
          "additionalCapacity",
          "color",
          "isActive",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1ParkingZoneCreate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "additionalCapacity": {
            "type": "integer",
            "nullable": true
          },
          "color": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          }
        },
        "required": [
          "name"
        ]
      },
      "V1ParkingZoneUpdate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "additionalCapacity": {
            "type": "integer",
            "nullable": true
          },
          "color": {
            "type": "string",
            "nullable": true
          },
          "isActive": {
            "type": "boolean"
          }
        }
      },
      "V1ParkingZonesResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1ParkingZone"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1ParkingZoneResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1ParkingZone"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1ParkingSpot": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "reservedCarId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "reservedCustomerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isActive": {
            "type": "boolean"
          },
          "sortOrder": {
            "type": "integer",
            "nullable": true
          },
          "tags": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string"
            }
          },
          "isLiftSpot": {
            "type": "boolean",
            "nullable": true
          },
          "liftHeight": {
            "type": "integer",
            "nullable": true
          },
          "isMotorcycleSpot": {
            "type": "boolean"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "locationId",
          "name",
          "description",
          "customerId",
          "reservedCarId",
          "reservedCustomerId",
          "isActive",
          "sortOrder",
          "tags",
          "isLiftSpot",
          "liftHeight",
          "isMotorcycleSpot",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1ParkingSpotCreate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "reservedCarId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "reservedCustomerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isActive": {
            "type": "boolean"
          },
          "sortOrder": {
            "type": "integer"
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "isLiftSpot": {
            "type": "boolean"
          },
          "liftHeight": {
            "type": "integer",
            "nullable": true
          },
          "isMotorcycleSpot": {
            "type": "boolean"
          }
        },
        "required": [
          "name"
        ]
      },
      "V1ParkingSpotUpdate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "reservedCarId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "reservedCustomerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "isActive": {
            "type": "boolean"
          },
          "sortOrder": {
            "type": "integer"
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "isLiftSpot": {
            "type": "boolean"
          },
          "liftHeight": {
            "type": "integer",
            "nullable": true
          },
          "isMotorcycleSpot": {
            "type": "boolean"
          }
        }
      },
      "V1ParkingSpotsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1ParkingSpot"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1ParkingSpotResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1ParkingSpot"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1ParkingAssignment": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingSpotId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingZoneId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vendorId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "carId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "startDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "assignmentType": {
            "type": "string"
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "locationId",
          "parkingSpotId",
          "parkingZoneId",
          "vendorId",
          "customerId",
          "carId",
          "startDate",
          "endDate",
          "assignmentType",
          "notes",
          "status",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1ParkingAssignmentCreate": {
        "type": "object",
        "properties": {
          "parkingSpotId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingZoneId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vendorId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "carId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "startDate": {
            "type": "string",
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "assignmentType": {
            "type": "string"
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          }
        },
        "required": [
          "startDate"
        ]
      },
      "V1ParkingAssignmentUpdate": {
        "type": "object",
        "properties": {
          "parkingSpotId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "parkingZoneId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "vendorId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "carId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "startDate": {
            "type": "string",
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "assignmentType": {
            "type": "string"
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          }
        }
      },
      "V1ParkingAssignmentsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1ParkingAssignment"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1ParkingAssignmentResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1ParkingAssignment"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1MarketingTemplate": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "subject": {
            "type": "string",
            "nullable": true
          },
          "body": {
            "type": "string",
            "nullable": true
          },
          "isDefault": {
            "type": "boolean",
            "nullable": true
          },
          "designJson": {
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "name",
          "subject",
          "body",
          "isDefault",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1MarketingTemplateCreate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "subject": {
            "type": "string",
            "nullable": true
          },
          "body": {
            "type": "string",
            "nullable": true
          },
          "isDefault": {
            "type": "boolean"
          },
          "designJson": {
            "nullable": true
          }
        },
        "required": [
          "name"
        ]
      },
      "V1MarketingTemplateUpdate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "subject": {
            "type": "string",
            "nullable": true
          },
          "body": {
            "type": "string",
            "nullable": true
          },
          "isDefault": {
            "type": "boolean"
          },
          "designJson": {
            "nullable": true
          }
        }
      },
      "V1MarketingTemplatesResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1MarketingTemplate"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1MarketingTemplateResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1MarketingTemplate"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1Campaign": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "channel": {
            "type": "string"
          },
          "startDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "socialEventId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "metadata": {
            "nullable": true
          },
          "lastRunAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "name",
          "description",
          "status",
          "type",
          "channel",
          "startDate",
          "endDate",
          "socialEventId",
          "lastRunAt",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1CampaignCreate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "channel": {
            "type": "string",
            "enum": [
              "email",
              "sms",
              "push"
            ]
          },
          "startDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "socialEventId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "metadata": {
            "type": "object",
            "properties": {
              "tags": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "goal": {
                "type": "string"
              },
              "targetAudienceSize": {
                "type": "number"
              }
            }
          }
        },
        "required": [
          "name"
        ]
      },
      "V1CampaignUpdate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "channel": {
            "type": "string",
            "enum": [
              "email",
              "sms",
              "push"
            ]
          },
          "startDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "socialEventId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "metadata": {
            "type": "object",
            "properties": {
              "tags": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "goal": {
                "type": "string"
              },
              "targetAudienceSize": {
                "type": "number"
              }
            }
          }
        }
      },
      "V1CampaignSchedule": {
        "type": "object",
        "properties": {
          "scheduledAt": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "scheduledAt"
        ]
      },
      "V1CampaignDuplicate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1
          },
          "scheduledAt": {
            "type": "string",
            "format": "date-time"
          }
        }
      },
      "V1CampaignAudienceBulkCreate": {
        "type": "object",
        "properties": {
          "customerIds": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "uuid"
            },
            "minItems": 1
          }
        },
        "required": [
          "customerIds"
        ]
      },
      "V1SocialPost": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "campaignId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "platform": {
            "type": "string"
          },
          "content": {
            "type": "string"
          },
          "mediaUrls": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string"
            }
          },
          "hashtags": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string"
            }
          },
          "linkUrl": {
            "type": "string",
            "nullable": true
          },
          "scheduledFor": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "status": {
            "type": "string"
          },
          "publishedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "providerId": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "campaignId",
          "platform",
          "content",
          "mediaUrls",
          "hashtags",
          "linkUrl",
          "scheduledFor",
          "status",
          "publishedAt",
          "providerId",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1SocialPostCreate": {
        "type": "object",
        "properties": {
          "body": {
            "type": "string",
            "minLength": 1
          },
          "accountIds": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1
            },
            "minItems": 1
          },
          "mediaUrls": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Public image or video URLs. Videos are detected by extension (.mp4, .mov, .m4v, .webm)."
          },
          "scheduledAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "publishNow": {
            "type": "boolean"
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "hashtags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "postType": {
            "type": "string",
            "enum": [
              "post",
              "reel",
              "story"
            ],
            "description": "Instagram/Facebook format. `reel` needs a video, `story` needs media; other platforms always get a regular post. Defaults to `post`."
          }
        },
        "required": [
          "body",
          "accountIds"
        ]
      },
      "V1SocialPostUpdate": {
        "type": "object",
        "properties": {
          "body": {
            "type": "string",
            "minLength": 1
          },
          "accountIds": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1
            }
          },
          "mediaUrls": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "scheduledAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "publishNow": {
            "type": "boolean"
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "postType": {
            "type": "string",
            "enum": [
              "post",
              "reel",
              "story"
            ],
            "description": "Instagram/Facebook format. `reel` needs a video, `story` needs media; other platforms always get a regular post. On update, send `accountIds` too."
          }
        }
      },
      "V1SocialPostsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1SocialPost"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1SocialPostResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1SocialPost"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignTestEmail": {
        "type": "object",
        "properties": {
          "to": {
            "type": "string",
            "format": "email"
          },
          "subject": {
            "type": "string",
            "minLength": 1
          },
          "html": {
            "type": "string",
            "minLength": 1
          }
        },
        "required": [
          "to",
          "subject",
          "html"
        ]
      },
      "V1CampaignTestSms": {
        "type": "object",
        "properties": {
          "to": {
            "type": "string",
            "minLength": 1
          },
          "body": {
            "type": "string",
            "minLength": 1
          },
          "mediaUrls": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "to",
          "body"
        ]
      },
      "V1CampaignTestPush": {
        "type": "object",
        "properties": {
          "title": {
            "type": "string",
            "minLength": 1
          },
          "body": {
            "type": "string",
            "minLength": 1
          },
          "url": {
            "type": "string"
          },
          "userId": {
            "type": "string",
            "minLength": 1
          },
          "customerId": {
            "type": "string",
            "format": "uuid"
          }
        },
        "required": [
          "title",
          "body"
        ]
      },
      "V1CampaignsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1Campaign"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CampaignResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1Campaign"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignStep": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "campaignId": {
            "type": "string",
            "format": "uuid"
          },
          "type": {
            "type": "string"
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "content": {
            "nullable": true
          },
          "order": {
            "type": "integer"
          },
          "scheduledAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "templateId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "campaignId",
          "type",
          "name",
          "order",
          "scheduledAt",
          "templateId",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1CampaignStepCreate": {
        "type": "object",
        "properties": {
          "type": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "email",
                  "sms",
                  "push",
                  "social"
                ]
              },
              {
                "type": "string",
                "minLength": 1
              }
            ]
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "content": {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            }
          },
          "order": {
            "type": "integer"
          },
          "scheduledAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "templateId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          }
        },
        "required": [
          "type",
          "content"
        ]
      },
      "V1CampaignStepUpdate": {
        "type": "object",
        "properties": {
          "type": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "email",
                  "sms",
                  "push",
                  "social"
                ]
              },
              {
                "type": "string",
                "minLength": 1
              }
            ]
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "content": {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            }
          },
          "order": {
            "type": "integer"
          },
          "scheduledAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "templateId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          }
        }
      },
      "V1CampaignStepsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1CampaignStep"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CampaignStepResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1CampaignStep"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignAudience": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "campaignId": {
            "type": "string",
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "format": "uuid"
          },
          "status": {
            "type": "string"
          },
          "currentStepOrder": {
            "type": "integer",
            "nullable": true
          },
          "nextStepAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "joinedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "completedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "unsubscribedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "campaignId",
          "customerId",
          "status",
          "currentStepOrder",
          "nextStepAt",
          "joinedAt",
          "completedAt",
          "unsubscribedAt"
        ]
      },
      "V1CampaignAudienceCreate": {
        "type": "object",
        "properties": {
          "customerId": {
            "type": "string",
            "format": "uuid"
          },
          "status": {
            "type": "string"
          }
        },
        "required": [
          "customerId"
        ]
      },
      "V1CampaignAudiencesResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1CampaignAudience"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CampaignAudienceResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1CampaignAudience"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignAudienceBulkResult": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "added": {
                "type": "integer"
              },
              "removed": {
                "type": "integer"
              },
              "audience": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/V1CampaignAudience"
                }
              }
            }
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignPreview": {
        "type": "object",
        "properties": {
          "canPublish": {
            "type": "boolean"
          },
          "error": {
            "type": "string"
          },
          "recipientCount": {
            "type": "integer"
          },
          "stepCount": {
            "type": "integer"
          },
          "scheduledAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "channel": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "canPublish",
          "recipientCount",
          "stepCount",
          "scheduledAt"
        ]
      },
      "V1CampaignPreviewResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1CampaignPreview"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignActivityItem": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "channel": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerName": {
            "type": "string",
            "nullable": true
          },
          "recipientAddress": {
            "type": "string",
            "nullable": true
          },
          "scheduledFor": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "sentAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "deliveredAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "openCount": {
            "type": "integer"
          },
          "clickCount": {
            "type": "integer"
          },
          "error": {
            "type": "string",
            "nullable": true
          },
          "stepId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "stepName": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "channel",
          "status",
          "customerId",
          "customerName",
          "recipientAddress",
          "scheduledFor",
          "sentAt",
          "deliveredAt",
          "openCount",
          "clickCount",
          "error",
          "stepId",
          "stepName",
          "createdAt"
        ]
      },
      "V1CampaignActivityResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1CampaignActivityItem"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CampaignTestEmailResult": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "success": {
                "type": "boolean",
                "enum": [
                  true
                ]
              },
              "email": {
                "type": "string",
                "format": "email"
              }
            },
            "required": [
              "success",
              "email"
            ]
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignTestSmsResult": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "success": {
                "type": "boolean",
                "enum": [
                  true
                ]
              },
              "to": {
                "type": "string"
              },
              "messageSid": {
                "type": "string"
              }
            },
            "required": [
              "success",
              "to"
            ]
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CampaignTestPushResult": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "success": {
                "type": "boolean",
                "enum": [
                  true
                ]
              },
              "sent": {
                "type": "integer"
              }
            },
            "required": [
              "success",
              "sent"
            ]
          }
        },
        "required": [
          "data"
        ]
      },
      "V1SocialAccount": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "platform": {
            "type": "string"
          },
          "username": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "platform",
          "username",
          "name"
        ]
      },
      "V1SocialAccountsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "profileId": {
                "type": "string",
                "nullable": true
              },
              "accounts": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/V1SocialAccount"
                }
              }
            },
            "required": [
              "profileId",
              "accounts"
            ]
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CommunicationThread": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "channel": {
            "type": "string"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "externalPhone": {
            "type": "string",
            "nullable": true
          },
          "assignedUserId": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          },
          "lastMessageAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "lastMessagePreview": {
            "type": "string",
            "nullable": true
          },
          "unreadCount": {
            "type": "integer"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "channel",
          "customerId",
          "externalPhone",
          "assignedUserId",
          "status",
          "lastMessageAt",
          "lastMessagePreview",
          "unreadCount",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1CommunicationThreadCreate": {
        "type": "object",
        "properties": {
          "channel": {
            "type": "string",
            "enum": [
              "sms",
              "email"
            ],
            "default": "sms"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "externalPhone": {
            "type": "string",
            "nullable": true
          },
          "assignedUserId": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          }
        }
      },
      "V1CommunicationThreadUpdate": {
        "type": "object",
        "properties": {
          "channel": {
            "type": "string",
            "enum": [
              "sms",
              "email"
            ],
            "default": "sms"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "externalPhone": {
            "type": "string",
            "nullable": true
          },
          "assignedUserId": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          }
        }
      },
      "V1CommunicationThreadsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1CommunicationThread"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CommunicationThreadResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1CommunicationThread"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1CommunicationMessage": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "threadId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "channel": {
            "type": "string"
          },
          "direction": {
            "type": "string"
          },
          "from": {
            "type": "string",
            "nullable": true
          },
          "to": {
            "type": "string",
            "nullable": true
          },
          "body": {
            "type": "string",
            "nullable": true
          },
          "subject": {
            "type": "string",
            "nullable": true
          },
          "htmlBody": {
            "type": "string",
            "nullable": true
          },
          "textBody": {
            "type": "string",
            "nullable": true
          },
          "mediaUrls": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string"
            }
          },
          "status": {
            "type": "string"
          },
          "provider": {
            "type": "string",
            "nullable": true
          },
          "providerMessageSid": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "threadId",
          "customerId",
          "channel",
          "direction",
          "from",
          "to",
          "body",
          "subject",
          "htmlBody",
          "textBody",
          "mediaUrls",
          "status",
          "provider",
          "providerMessageSid",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1CommunicationMessageCreate": {
        "type": "object",
        "properties": {
          "body": {
            "type": "string"
          },
          "subject": {
            "type": "string",
            "nullable": true
          },
          "htmlBody": {
            "type": "string",
            "nullable": true
          },
          "textBody": {
            "type": "string",
            "nullable": true
          },
          "mediaUrls": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "send": {
            "type": "boolean",
            "default": false
          }
        }
      },
      "V1CommunicationMessageUpdate": {
        "type": "object",
        "properties": {
          "body": {
            "type": "string",
            "nullable": true
          },
          "subject": {
            "type": "string",
            "nullable": true
          },
          "htmlBody": {
            "type": "string",
            "nullable": true
          },
          "textBody": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          }
        }
      },
      "V1CommunicationMessagesResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1CommunicationMessage"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1CommunicationMessageResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1CommunicationMessage"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1Appointment": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "appointmentTypeId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "optionId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "status": {
            "type": "string",
            "enum": [
              "scheduled",
              "pending_approval",
              "accepted",
              "declined",
              "checked_in",
              "in_progress",
              "completed",
              "cancelled",
              "no_show"
            ]
          },
          "carId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "secondaryCarId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "startAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "endAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "recurrenceFrequency": {
            "type": "string",
            "nullable": true,
            "enum": [
              "daily",
              "weekly",
              "biweekly",
              "monthly",
              "quarterly",
              "yearly",
              null
            ]
          },
          "recurrenceInterval": {
            "type": "integer",
            "nullable": true
          },
          "recurrenceDaysOfWeek": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "integer"
            }
          },
          "recurrenceDayOfMonth": {
            "type": "integer",
            "nullable": true
          },
          "recurrenceEndDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "recurrenceCount": {
            "type": "integer",
            "nullable": true
          },
          "recurrenceSeriesId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "locationId",
          "appointmentTypeId",
          "optionId",
          "status",
          "carId",
          "secondaryCarId",
          "customerId",
          "startAt",
          "endAt",
          "title",
          "notes",
          "recurrenceFrequency",
          "recurrenceInterval",
          "recurrenceDaysOfWeek",
          "recurrenceDayOfMonth",
          "recurrenceEndDate",
          "recurrenceCount",
          "recurrenceSeriesId",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1AppointmentCreate": {
        "type": "object",
        "properties": {
          "startAt": {
            "type": "string",
            "format": "date-time"
          },
          "endAt": {
            "type": "string",
            "format": "date-time"
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string",
            "enum": [
              "scheduled",
              "pending_approval",
              "accepted",
              "declined",
              "checked_in",
              "in_progress",
              "completed",
              "cancelled",
              "no_show"
            ]
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "appointmentTypeId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "optionId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "carId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "secondaryCarId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "recurrenceFrequency": {
            "type": "string",
            "nullable": true,
            "enum": [
              "daily",
              "weekly",
              "biweekly",
              "monthly",
              "quarterly",
              "yearly",
              null
            ]
          },
          "recurrenceInterval": {
            "type": "integer",
            "nullable": true,
            "minimum": 1
          },
          "recurrenceDaysOfWeek": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "integer",
              "minimum": 0,
              "maximum": 6
            }
          },
          "recurrenceDayOfMonth": {
            "type": "integer",
            "nullable": true,
            "minimum": 1,
            "maximum": 31
          },
          "recurrenceEndDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "recurrenceCount": {
            "type": "integer",
            "nullable": true,
            "minimum": 1
          },
          "recurrenceSeriesId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "eventTypeId": {
            "type": "string",
            "format": "uuid",
            "description": "Event type id (from the event types list). Alternative to appointmentTypeId."
          },
          "eventType": {
            "type": "string",
            "minLength": 1,
            "description": "Event type `value` (e.g. `vehicle_pick_up`). Alternative to eventTypeId."
          }
        },
        "required": [
          "startAt",
          "endAt"
        ]
      },
      "V1AppointmentUpdate": {
        "type": "object",
        "properties": {
          "startAt": {
            "type": "string",
            "format": "date-time"
          },
          "endAt": {
            "type": "string",
            "format": "date-time"
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "notes": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string",
            "enum": [
              "scheduled",
              "pending_approval",
              "accepted",
              "declined",
              "checked_in",
              "in_progress",
              "completed",
              "cancelled",
              "no_show"
            ]
          },
          "locationId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "appointmentTypeId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "optionId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "carId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "secondaryCarId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "recurrenceFrequency": {
            "type": "string",
            "nullable": true,
            "enum": [
              "daily",
              "weekly",
              "biweekly",
              "monthly",
              "quarterly",
              "yearly",
              null
            ]
          },
          "recurrenceInterval": {
            "type": "integer",
            "nullable": true,
            "minimum": 1
          },
          "recurrenceDaysOfWeek": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "integer",
              "minimum": 0,
              "maximum": 6
            }
          },
          "recurrenceDayOfMonth": {
            "type": "integer",
            "nullable": true,
            "minimum": 1,
            "maximum": 31
          },
          "recurrenceEndDate": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "recurrenceCount": {
            "type": "integer",
            "nullable": true,
            "minimum": 1
          },
          "recurrenceSeriesId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          }
        }
      },
      "V1AppointmentsResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/V1Appointment"
            }
          },
          "page": {
            "type": "integer",
            "minimum": 1
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200
          },
          "total": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "data",
          "page",
          "limit",
          "total"
        ]
      },
      "V1AppointmentResponse": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V1Appointment"
          }
        },
        "required": [
          "data"
        ]
      },
      "V1Form": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "slug": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string"
          },
          "visibility": {
            "type": "string"
          },
          "inviteCode": {
            "type": "string",
            "nullable": true
          },
          "fields": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": {
                "nullable": true
              }
            }
          },
          "settings": {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            }
          },
          "themePrimaryColor": {
            "type": "string",
            "nullable": true
          },
          "themeBackgroundColor": {
            "type": "string",
            "nullable": true
          },
          "successMessage": {
            "type": "string",
            "nullable": true
          },
          "closeAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "maxResponses": {
            "type": "integer",
            "nullable": true
          },
          "responseCount": {
            "type": "integer"
          },
          "requireEmail": {
            "type": "boolean"
          },
          "requireName": {
            "type": "boolean"
          },
          "requirePhone": {
            "type": "boolean"
          },
          "allowMultipleSubmissions": {
            "type": "boolean"
          },
          "publishedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "createdAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "teamId",
          "name",
          "slug",
          "description",
          "status",
          "visibility",
          "inviteCode",
          "fields",
          "settings",
          "themePrimaryColor",
          "themeBackgroundColor",
          "successMessage",
          "closeAt",
          "maxResponses",
          "responseCount",
          "requireEmail",
          "requireName",
          "requirePhone",
          "allowMultipleSubmissions",
          "publishedAt",
          "createdAt",
          "updatedAt"
        ]
      },
      "V1FormCreate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          },
          "purpose": {
            "type": "string",
            "enum": [
              "default",
              "event_questionnaire"
            ]
          }
        },
        "required": [
          "name"
        ]
      },
      "V1FormUpdate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          },
          "slug": {
            "type": "string",
            "minLength": 1
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string",
            "enum": [
              "draft",
              "published",
              "closed"
            ]
          },
          "visibility": {
            "type": "string",
            "enum": [
              "public",
              "invite_only",
              "customers_only"
            ]
          },
          "fields": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": {
                "nullable": true
              }
            }
          },
          "settings": {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            }
          },
          "themePrimaryColor": {
            "type": "string",
            "nullable": true
          },
          "themeBackgroundColor": {
            "type": "string",
            "nullable": true
          },
          "successMessage": {
            "type": "string",
            "nullable": true
          },
          "closeAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          },
          "maxResponses": {
            "type": "integer",
            "nullable": true
          },
          "requireEmail": {
            "type": "boolean"
          },
          "requireName": {
            "type": "boolean"
          },
          "requirePhone": {
            "type": "boolean"
          },
          "allowMultipleSubmissions": {
            "type": "boolean"
          },
          "regenerateInviteCode": {
            "type": "boolean"
          }
        }
      },
      "V1FormSubmission": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "formId": {
            "type": "string",
            "format": "uuid"
          },
          "teamId": {
            "type": "string"
          },
          "customerId": {
            "type": "string",
            "nullable": true,
            "format": "uuid"
          },
          "respondentEmail": {
            "type": "string",
            "nullable": true
          },
          "respondentName": {
            "type": "string",
            "nullable": true
          },
          "respondentPhone": {
            "type": "string",
            "nullable": true
          },
          "values": {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            }
          },
          "fieldSnapshot": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": {
                "nullable": true
              }
            }
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            }
          },
          "submittedAt": {
            "type": "string",
            "nullable": true,
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "formId",
          "teamId",
          "customerId",
          "respondentEmail",
          "respondentName",
          "respondentPhone",
          "values",
          "fieldSnapshot",
          "metadata",
          "submittedAt"
        ]
      },
      "V1FormSubmissionPatch": {
        "type": "object",
        "properties": {
          "customerId": {
            "type": "string",
            "nullable": true,
[...]
